Subject: [bess] Hub-and-spoke support in EVPN: RFC 8317 vs. draft-wang-bess-evpn-context-label-04

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 20 Aug 2020 13:36:16 +0000

Dear authors of draft-wang-bess-evpn-context-label-04,

Section 2 "Problem Statement" of draft-wang-bess-evpn-context-label-04 states that " MPLS EVPN can't support hub/spoke use case, where the spoke PEs can only connect to each other through the hub PE.  Especially when at least two of the spoke PEs are connected to a common route reflector".

I have to admit that I do not understand why support of the generic E-Tree functionality in EVPN defined in RFC 8317<https://tools.ietf.org/html/rfc8317> is not sufficient for handling this use case.

In particular I do not see why connection of Spoke PEs to a common RR affects the EVPN behavior (or L3vPN Hub-and-Spoke VPN behavior as defined in Section 4.3.5 of RFC 4364<https://tools.ietf.org/html/rfc4364#section-4.3.5>) in any way.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

-----------------------------------------------------------------------------------------------------------------------
Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. that
is confidential and/or proprietary for the sole use of the intended recipient.  Any review, disclosure, reliance or
distribution by others or forwarding without express permission is strictly prohibited.  If you are not the intended
recipient, please notify the sender immediately and then delete all copies, including any attachments.
-----------------------------------------------------------------------------------------------------------------------

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Thu, 20 Aug 2020 14:46:26 +0000

Hub and spoke EVPN and E-tree are different.

However, draft-ietf-bess-evpn-virtual-hub should address the following two at least:

   *  MPLS EVPN can't support hub/spoke usecase, where the spoke PEs can
      only connect to each other through the hub PE.  Especially when at
      least two of the spoke PEs are connected to a common route
      reflector.

   *  MPLS EVPN can't work as an AR-REPLICATOR.  Because the AR-
      REPLICATOR will apply replication for the ingress AR-LEAF too.
      But a packet shoud not be sent back to the AR-LEAF where it is
      received from.

Jeffrey

Juniper Business Use Only
From: BESS <[email-masked]> On Behalf Of Alexander Vainshtein
Sent: Thursday, August 20, 2020 9:36 AM
To: [email-masked]
Cc: Michael Gorokhovsky <[email-masked]>; [email-masked]
Subject: [bess] Hub-and-spoke support in EVPN: RFC 8317 vs. draft-wang-bess-evpn-context-label-04

[External Email. Be cautious of content]

I have to admit that I do not understand why support of the generic E-Tree functionality in EVPN defined in RFC 8317<https://urldefense.com/v3/__https:/tools.ietf.org/html/rfc8317__;!!NEt6yMaO-gk!QRZOPg7Or-dqLm0vGwqM2vyyPBISCyDo4uu4Jq2MEDW8fuSMZV6tLNIvZnaam81J$> is not sufficient for handling this use case.

In particular I do not see why connection of Spoke PEs to a common RR affects the EVPN behavior (or L3vPN Hub-and-Spoke VPN behavior as defined in Section 4.3.5 of RFC 4364<https://urldefense.com/v3/__https:/tools.ietf.org/html/rfc4364*section-4.3.5__;Iw!!NEt6yMaO-gk!QRZOPg7Or-dqLm0vGwqM2vyyPBISCyDo4uu4Jq2MEDW8fuSMZV6tLNIvZunniYWF$>) in any way.

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

________________________________
Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.
________________________________